package org.jwall.apache.httpd.config;

import java.io.File;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias("Comment")
public class Comment
    extends AbstractDirective
{
    private static final long serialVersionUID = 2474508350113605443L;
    String encodedEntities = "&";
    String content;
    int end;
    
    public Comment( String content, File file, int line, int end ){
        super( content, file, line );
        this.content = content;
        this.end = end;
    }
    
    public String toString(){
        StringBuffer s = new StringBuffer();
        
        s.append( "<Comment" );
        if( SHOW_LOCATION )
            s.append( " location=\"" + location + "-" + end + "\"");
        
        s.append(">\n");
        
        //s.append( prefix() + "<!PCDATA\n" );
        //s.append("<![CDATA[");
        if( content == null )
            content = "";
        
        for( String l : content.split("\\n") )
            s.append( partialEntityEncode(l).trim() + "\n" );
        
        //s.append( ">" );
        //s.append("]]>");
        s.append( "</Comment>");
        return s.toString();
    }

    public String toXML(){
        return toString();
    }
    
    public String toPlainTxt(){
        StringBuffer s = new StringBuffer();
        s.append( content );
        return s.toString();
    }
    
    public String partialEntityEncode( String s )
    {
        StringBuffer buf = new StringBuffer();
        int len = (s == null ? -1 : s.length());

        for ( int i = 0; i < len; i++ )
        {
            char c = s.charAt( i );
            if ( encodedEntities.indexOf( c ) >= 0 )
            {
                buf.append( "&#" + (int)c + ";" );
            }
            else
            {
                buf.append( c );
            }
        }
        return buf.toString();
    }
}
