package org.jwall.apache.httpd.config;

import java.util.List;

public interface Directive
{

    public abstract String getName();

    public abstract List<String> getArgs();

    public abstract int depth();

    public abstract int compareTo(Directive other);

    public abstract boolean isBelow(Directive other);

    public abstract String toPlainTxt();
    
    public abstract String toXML();

    public abstract Position getLocation();

    /**
     * This method returns the name of the module which provides this directive. If
     * the directive is not provided by a specific module, then &quot;Apache&quot; is
     * returned as the provider. 
     * 
     * @return The name of the module which provides this directive.
     */
    public abstract String getProviderName();
    
    public boolean matches( String pattern );
}