package org.jwall.apache.httpd.config;

import java.io.File;

public class Directory
    extends ContainerDirective
{
    private static final long serialVersionUID = 6834922681191974095L;
    String dir;
    
    public Directory( String line, File file, int lineNum ){
        super( line, file, lineNum );
        dir = args.get(0);
        dir = dir.replaceAll("(^\\\"|\\\"$)", "");
    }
    
    
    public String toXML(){
        
        StringBuffer s = new StringBuffer();
        
        s.append( prefix() + "<" + name + " path=\"" + dir + "\"" );
        if( SHOW_LOCATION )
            s.append(" location=\"" + location + "\"" );
        s.append( ">\n" );
        
        for( Directive d : getChildren() )
            s.append( d.toXML() + "\n" );

        s.append( "\n" );
        s.append( prefix() + "</" + name + ">\n" );
        
        return s.toString();
        
    }
}