package org.jwall.apache.httpd.config;

import java.io.File;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;


@XStreamAlias("DocumentRoot")
public class DocumentRoot
    extends LineDirective
{
    private static final long serialVersionUID = 9112893262027896821L;
    
    @XStreamAlias("directory")
    @XStreamAsAttribute
    String dir;
    
    
    public DocumentRoot( String line, File file, int lineNum ) throws ParseException {
        super( line, file, lineNum );
        
        if( args.size() == 0 )
            throw new ParseException(file.getName()+":"+lineNum+" \"DocumentRoot\" directive without mandatory path: "+line);
        
        dir = removeQuotes( args.get(0) );
    }
}