package org.jwall.apache.httpd.config;

import java.io.File;

public class FilesMatch
    extends ContainerDirective
{
    private static final long serialVersionUID = 6460440012001906222L;

    
    public FilesMatch(String line, File file, int lineNum)
    {
        super(line, file, lineNum);
    }
    
    public String toXML(){
        StringBuffer s = new StringBuffer( prefix() );

        s.append("<" + getName() );
        s.append( " pattern=\"" + removeQuotes( this.getArgs().iterator().next() ) + "\"" );

        
        if( SHOW_LOCATION && location != null )
            s.append( " location=\"" + location.toString() + "\"" );
        
        s.append( ">" );

        if( !this.nested.isEmpty() ){
            s.append("\n");
            for( Directive d : this.nested )
                s.append( d.toXML() + "\n" );
        }

        s.append( prefix() + "</" + getName() + ">\n");
        return s.toString();
    }
}
