package org.jwall.apache.httpd.config;

import java.io.File;

import com.thoughtworks.xstream.annotations.XStreamAlias;


@XStreamAlias("IfModule")
public class IfModule
    extends ContainerDirective
{
    private static final long serialVersionUID = 6723410297400049003L;

    public IfModule( String name, File file, int line ){
        super( name, file, line);
    }
    
    public String toXML(){
        
        StringBuffer s = new StringBuffer();
        s.append( prefix() + "<IfModule name=\"" + this.args.getFirst() + "\"");
        
        if( SHOW_LOCATION )
            s.append(" location=\"" + location + "\"" );
        
        s.append( ">" );
        
        for( Directive d : nested )
            s.append( d.toXML() + "\n" );
        
        s.append( prefix() + "</IfModule>\n" );
        return s.toString();
        
    }
}
