package org.jwall.apache.httpd.config;

import java.io.File;
import java.util.Iterator;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias("Directive")
public class LineDirective
    extends AbstractDirective
{
    private static final long serialVersionUID = -4940660904256629850L;

    transient String configLine;
    
    public LineDirective( String line, File file, int lineNum ) throws ParseException {
        super( line, file, lineNum );
        
        String token[] = line.trim().split("\\s+", 2);
        name = token[0];
        if( token.length > 1 ){
            String[] params = token[1].split("\\s+");
            for( String param : params )
                args.add( removeQuotes( param.trim() ) );
        }
        
        configLine = line;
    }
    
    public String toXML(){
        
        StringBuffer s = new StringBuffer();
        //s.append( prefix() + "<!-- generic directive, line= " + this.rawLine + " -->\n" );
        
        s.append( prefix() + "<" + getName() + ">" );
        
        Iterator<String> it = args.iterator();
        while( it.hasNext() ){
            String arg = it.next();
            s.append( arg );
            if( it.hasNext() )
                s.append( " " );
        }
        
        s.append( "</" + getName() + ">" );
         
        return s.toString();
    }
}