package org.jwall.apache.httpd.config;

import java.io.File;

public class RewriteRule
    extends LineDirective
{
    private static final long serialVersionUID = -6430284010887629181L;
    private String cond;
    private String match;
    private String act;
    
    public RewriteRule( String line, File file, int lineNum ) throws ParseException {
        super( line, file, lineNum );
        
        if( args.size() > 0 )
            cond = args.get(0);
        
        if( args.size() > 1 )
            match = args.get(1);

        if( args.size() > 2 )
            act = args.get(2).replaceAll("(^[|]$)", "");;

    }
    
    public String toXML(){
        StringBuffer s = new StringBuffer();
        
        s.append( prefix() + "<RewriteRule> \n");

        if( cond != null )
            s.append( prefix() + "  <Pattern>"+cond+"</Pattern>\n" );
        
        if( match != null )
            s.append( prefix() + "  <Substitution>"+match+"</Substitution>\n");
        
        if( act != null ){
            s.append( prefix() + "  <Flags>" );
            s.append( act );
            /*
            for( String flag : this.args ){
                s.append( prefix() + "  <Flag>" + flag + "</Flat>\n" );
            }
            s.append( prefix() );
            */
            s.append( "</Flags>\n" );
        }
        
        s.append( prefix() + "</RewriteRule>\n");
        return s.toString();
    }
}