package org.jwall.apache.httpd.config;

import java.io.File;


public class SecArgumentSeparator
    extends LineDirective
{
    /** The unique class id */
    private static final long serialVersionUID = -8808254064820810002L;

    public SecArgumentSeparator( String line, File file, int lineNum ) throws ParseException {
        super( line, file, lineNum );

        String[] tok = line.trim().split( "\\s+" );
        if( tok.length != 2 )
            throw new ParseException( "Directive SecArgumentSeparator needs exactly 1 argument!" );
        
        this.name = tok[0];
        args.add( tok[1].replaceAll( "\"", "") );
    }
    
    
    public String toXML(){
        return prefix() + "<" + this.getName() + ">" + args.getFirst().replaceAll( "&", "&amp;") + "</" + this.getName() + ">";
    }
}
