package org.jwall.apache.httpd.config;

import java.io.File;

public class VirtualHost
    extends ContainerDirective
{
    private static final long serialVersionUID = 4666798514112569610L;

    public VirtualHost( String line, File file, int lineNum ){
        super( line, file, lineNum );
        
    }
    
    public String getServerName(){
        
        for( Directive d : nested )
            if( d.getName().equals("ServerName") )
                return d.getArgs().get(0);
        
        return null;
        
    }
    
    public String[] getServerAliases(){
        
        for( Directive d: nested )
            if( d.getName().equals("ServerAlias") )
                return (String[]) d.getArgs().toArray();
        
        return new String[0];
    }
    
    public String getName(){
        return new String("VirtualHost");
    }
    
    public String toXML(){
        StringBuffer s = new StringBuffer();
        
        s.append( prefix() );
        s.append( "<VirtualHost" );
        if( args.size() > 0 )
            s.append( " address=\"" + args.getFirst() );
        
        s.append( "\">\n" );
        
        for( Directive d : nested )
            s.append( d.toXML() + "\n" );

        s.append( prefix() + "</VirtualHost>\n" );
        
        return s.toString();
    }
}